GreatWksGraphInternal::FrameGroup Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
GreatWksGraphInternal::FrameGroup Struct Referencefinal

Internal: the group zone of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameGroup:

## Public Member Functions
| FrameGroup (Frame const &frame)
| constructor More...
| ~FrameGroup () final
| destructor More...
Type | getType () const final
| return the frame type More...
void | print (std::ostream &o) const final
| print funtion More...
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor More...
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor More...

## Public Attributes
int | m_numChild
| the number of child More...
std::vector< int > | m_childList
| the list of child More...
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type More...
int | m_styleId
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
MWAWBox2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Additional Inherited Members
Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD , T_BASIC , T_GROUP , T_PICTURE , T_TEXT , T_DBFIELD , T_UNSET }
| the frame type More...

## Detailed Description

Internal: the group zone of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ FrameGroup()

GreatWksGraphInternal::FrameGroup::FrameGroup | ( | Frame const & | frame | ) |
| inlineexplicit

constructor

## ◆ ~FrameGroup()

GreatWksGraphInternal::FrameGroup::~FrameGroup | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getType()

Type GreatWksGraphInternal::FrameGroup::getType | ( |  | ) | const
| inlinefinalvirtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

## ◆ print()

void GreatWksGraphInternal::FrameGroup::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print funtion

Reimplemented from GreatWksGraphInternal::Frame.

## Member Data Documentation

## ◆ m_childList

std::vector<int> GreatWksGraphInternal::FrameGroup::m_childList

the list of child

Referenced by GreatWksGraph::canCreateGraphic(), GreatWksGraph::checkGraph(), GreatWksGraph::readFrameExtraDataRec(), GreatWksGraph::sendGroup(), and GreatWksGraph::sendGroupChild().

## ◆ m_numChild

int GreatWksGraphInternal::FrameGroup::m_numChild

the number of child

Referenced by print(), and GreatWksGraph::readFrameExtraData().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx